"""change board_id in Game

Revision ID: ab4175c8a02f
Revises: 3556d41f9a25
Create Date: 2021-08-02 10:26:02.303692

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = 'ab4175c8a02f'
down_revision = '3556d41f9a25'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('game', 'board_id',
                    existing_type=sa.INTEGER(),
                    nullable=False)
    op.create_unique_constraint(None, 'game', ['board_id'])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'game', type_='unique')
    op.alter_column('game', 'board_id',
                    existing_type=sa.INTEGER(),
                    nullable=True)
    # ### end Alembic commands ###
